org.apache.ode.bpel.elang.xpath20.compiler

## Class XPath20ExpressionCompilerImpl

- java.lang.Object
- - org.apache.ode.bpel.elang.xpath20.compiler.XPath20ExpressionCompilerImpl

- All Implemented Interfaces:
    ExpressionCompiler
  Direct Known Subclasses:
    XPath20ExpressionCompilerBPEL20, XPath20ExpressionCompilerBPEL20Draft

      public class XPath20ExpressionCompilerImpl
      extends java.lang.Object
      implements ExpressionCompiler

  XPath compiler based on the SAXON implementation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static org.slf4j.Logger` | `__log`
    `protected XPathMessages` | `__msgs`
    `protected java.lang.String` | `_bpelNS`
    `protected CompilerContext` | `_compilerContext`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `_properties`
    `protected javax.xml.namespace.QName` | `_qnLinkStatus`
    `protected javax.xml.namespace.QName` | `_qnVarData`
    `protected javax.xml.namespace.QName` | `_qnVarProp`
    `protected javax.xml.namespace.QName` | `_qnXslTransform`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XPath20ExpressionCompilerImpl(java.lang.String bpelNS)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OExpression` | `compile(java.lang.Object source)` Compile an expression into a `OExpression` object.
    `OExpression` | `compileJoinCondition(java.lang.Object source)` Compile a join condition into a `OExpression` object.
    `OLValueExpression` | `compileLValue(java.lang.Object source)` Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.
    `java.util.Map<java.lang.String,java.lang.String>` | `getProperties()`
    `void` | `setCompilerContext(CompilerContext compilerContext)` Set the compiler context (for resolving variables and such).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### __log

          protected static final org.slf4j.Logger __log

    - #### _bpelNS

          protected java.lang.String _bpelNS

    - #### _qnLinkStatus

          protected javax.xml.namespace.QName _qnLinkStatus

    - #### _qnVarProp

          protected javax.xml.namespace.QName _qnVarProp

    - #### _qnVarData

          protected javax.xml.namespace.QName _qnVarData

    - #### _qnXslTransform

          protected javax.xml.namespace.QName _qnXslTransform

    - #### __msgs

          protected final XPathMessages __msgs

    - #### _properties

          protected java.util.Map<java.lang.String,java.lang.String> _properties

    - #### _compilerContext

          protected CompilerContext _compilerContext

  - ### Constructor Detail

    - #### XPath20ExpressionCompilerImpl

          public XPath20ExpressionCompilerImpl(java.lang.String bpelNS)

  - ### Method Detail

    - #### setCompilerContext

          public void setCompilerContext(CompilerContext compilerContext)

      Description copied from interface: `ExpressionCompiler`
      Set the compiler context (for resolving variables and such).
      Specified by:
        `setCompilerContext` in interface `ExpressionCompiler`
      Parameters:
        `compilerContext` - compiler context

    - #### compileJoinCondition

          public OExpression compileJoinCondition(java.lang.Object source)
                                           throws CompilationException

      Description copied from interface: `ExpressionCompiler`
      Compile a join condition into a `OExpression` object.
      Specified by:
        `compileJoinCondition` in interface `ExpressionCompiler`
      Returns:
      Throws:
        `CompilationException`
      See Also:
        `ExpressionCompiler.compileJoinCondition(java.lang.Object)`

    - #### compile

          public OExpression compile(java.lang.Object source)
                              throws CompilationException

      Description copied from interface: `ExpressionCompiler`
      Compile an expression into a `OExpression` object.
      Specified by:
        `compile` in interface `ExpressionCompiler`
      Returns:
      Throws:
        `CompilationException`
      See Also:
        `ExpressionCompiler.compile(java.lang.Object)`

    - #### compileLValue

          public OLValueExpression compileLValue(java.lang.Object source)
                                          throws CompilationException

      Description copied from interface: `ExpressionCompiler`
      Compile an lvalue (the 'to' of an assignment) into a `OLValueExpression` object.
      Specified by:
        `compileLValue` in interface `ExpressionCompiler`
      Returns:
      Throws:
        `CompilationException`
      See Also:
        `ExpressionCompiler.compileLValue(java.lang.Object)`

    - #### getProperties

          public java.util.Map<java.lang.String,java.lang.String> getProperties()

      Specified by:
        `getProperties` in interface `ExpressionCompiler`